import { BaseProvider } from '#templates/base/provider';
import { AuthAuditLog } from '#models/AuthAuditLog';

export class AuthAuditLogProvider extends BaseProvider<AuthAuditLog> {
	public static instance: AuthAuditLogProvider;

	public static getInstance(): AuthAuditLogProvider {
		AuthAuditLogProvider.instance ??= new AuthAuditLogProvider();
		return AuthAuditLogProvider.instance;
	}

	public static get model() {
		return AuthAuditLog;
	}

	constructor() {
		super('AuthAuditLog');
	}
}
